SRC=$(wildcard *.c)
OBJ=$(SRC:.c=.o)

SHARE_LIB_NAME=DPI_Component.so

all: $(SRC) $(SHARE_LIB_NAME)
	@echo "### Successfully generated all binary outputs."

$(SHARE_LIB_NAME): $(OBJ)
	gcc -shared -lm $(OBJ) -o $@

.c.o:
	gcc -c -fPIC -Wall -pedantic -Wno-long-long -fwrapv -O0 $< -o $@

