/*
 * Academic License - for use in teaching, academic research, and meeting
 * course requirements at degree granting institutions only.  Not for
 * government, commercial, or other organizational use.
 *
 * hilbert_fir.h
 *
 * Code generation for function 'hilbert_fir'
 *
 */

#ifndef HILBERT_FIR_H
#define HILBERT_FIR_H

/* Include files */
#include "rtwtypes.h"
#include <stddef.h>
#include <stdlib.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Function Declarations */
extern void hilbert_fir(const double data[8], double i_data[8],
                        double q_data[8]);

extern void hilbert_fir_initialize(void);

extern void hilbert_fir_terminate(void);

#ifdef __cplusplus
}
#endif

#endif
/* End of code generation (hilbert_fir.h) */
